Bug 37469 - Upgrade fails: not enough inodes
Upgrade fails: not enough inodes
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-04-24 15:37 EDT by Davide Bolcioni
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-25 12:58:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Davide Bolcioni 2001-04-24 15:37:22 EDT
Upgrading from RedHat 7.0, installation of new RPMs does not start at all
and a dialog appears saying "not enough inodes on /, you need 1312 more
inodes" (the actual number is around 1310 each time, but I'm not sure).

My root partition is on /dev/hda9 and I include the relevant information
from dumpe2fs:

Inode count:              32128
Block count:              128488
Reserved block count:     6424
Free blocks:              77910
Free inodes:              14169
First block:              1
Block size:               1024
Fragment size:            1024
Blocks per group:         8192
Fragments per group:      8192
Inodes per group:         2008
Inode blocks per group:   251

I also include /etc/fstab:

/dev/hda9               /                       ext2    defaults        1 1
/dev/hda2               /boot                   ext2    defaults        1 2
/dev/hda12              /home                   ext2    defaults        1 2
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
/dev/hda13              /opt                    ext2    defaults        1 2
/dev/md2                /save                   ext2    defaults        1 2
/dev/md0                /tmp                    ext2    defaults        1 2
/dev/md1                /usr                    ext2    defaults        1 2
/dev/hda14              /usr/local              ext2    defaults        1 2
/dev/md3                /var                    ext2    defaults        1 2
	/var/spool/wwwoffle	ext2	defaults	1 2
	/var/spool/news		ext2	defaults	1 2
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/sda1               swap                    swap    defaults        0 0
/dev/sdb1               swap                    swap    defaults        0 0

Is anaconda really attempting to put 14000+ files in my root directory
before removing what is already there ?

This effectively prevents me from upgrading to 7.1 (ok, I might be able to
upgrade through judicious use of RPM).
Comment 1 Michael Fulbright 2001-04-25 12:40:04 EDT
I believe the dev package is causing this problem. It has about 15000 files
in it. To upgrade it we need to lay down the new files, and remove the old. I
believe the rpm algorithm is seeing you have only 14000 free.

If I read things correctly your / partition is only 64M in length. I think for
future use you'll want this to be at least 128M.  Might be a good time to
reinstall.  Otherwise you can go through /dev on your current system and remove
enough entries to make room. There are lots of files in there you don't need. If
you need help with this let me know.

The best answer is to reinstall because unless you make '/' larger you'll hit
this problem every release when upgrading.
Comment 2 Davide Bolcioni 2001-04-25 12:58:52 EDT
The / partition should already be 128 MB; the blocks are 1k each (which I
believe is the ext2 default) or at least so says "df". Hmmm ... I am thinking
of setting up a root partition with more inodes and possibly smaller blocks
(which might prove to be a good idea for multiple partition setups like mine in
general, I might add).
Comment 3 Michael Fulbright 2001-04-27 11:39:00 EDT
Actually after some investigation the RPM maintainer discovered a bug in the
accounting of inodes.  Thanks for reporting this, it is not working correctly in
our internal tree.

If you continue to have problems let me know and we can try something else.

Note You need to log in before you can comment on or make changes to this bug.